SP_dec Class Reference

`#include <ht_block_decoding.hpp>`

## Public Member Functions

| SP_dec (const uint8_t *HT_magref_segment, uint32_t magref_length)
uint8_t | importSigPropBit ()

## Private Attributes

const uint32_t | Lref
uint8_t | bits
uint8_t | tmp
uint8_t | last
uint32_t | pos
const uint8_t * | Dref

## Constructor & Destructor Documentation

## SP_dec()

SP_dec::SP_dec | ( | const uint8_t * | HT_magref_segment,
|  | uint32_t | magref_length
| ) |  |

inline

## Member Function Documentation

## importSigPropBit()

uint8_t SP_dec::importSigPropBit | ( |  | ) |

References bits, Dref, last, Lref, pos, and tmp.

## Member Data Documentation

## bits

uint8_t SP_dec::bits

private

Referenced by importSigPropBit().

## Dref

const uint8_t* SP_dec::Dref

private

Referenced by importSigPropBit().

## last

uint8_t SP_dec::last

private

Referenced by importSigPropBit().

## Lref

const uint32_t SP_dec::Lref

private

Referenced by importSigPropBit().

## pos

uint32_t SP_dec::pos

private

Referenced by importSigPropBit().

## tmp

uint8_t SP_dec::tmp

private

Referenced by importSigPropBit().

The documentation for this class was generated from the following files:

- ht_block_decoding.hpp
- ht_block_decoding.cpp